from worm2d import Engine, Viewport
import pygame, math,random
from utility import*
from shotbase import StandardBullet
from vector import Vector
import particlebase


class Background(object):
    def __init__(self, layers):
        self.layers = layers
    def draw(self, camera, engine, data):
        for b in self.layers:
            w = (5.0*100.0)*b[2]
            h = (5.0*75.0)*b[2]
            x = camera[0] - (b[1]*camera[0])%w
            y = camera[1] - (b[1]*camera[1])%h

            z = (1.0-b[1])*(-80)

            sr = 100*camera[3]

            engine.DrawImage(data.images[b[0]], x,y,w,w,1,0,z=z)
            #engine.DrawImage(data.images[b[0]], x-w,y,w,w,1,0,z=z)
            #engine.DrawImage(data.images[b[0]], x-(2*w),y,w,w,1,0,z=z)

            for by in range(int(sr/h)+1):
                for bx in range(int(sr/w)+1):
                    tx = ((bx+1)*w)
                    ty = ((by+1)*h)
                    engine.DrawImage(data.images[b[0]], x+tx,y+ty,w,w,1,0,z=z)
                    engine.DrawImage(data.images[b[0]], x+tx,y-ty,w,w,1,0,z=z)
                    engine.DrawImage(data.images[b[0]], x-tx,y+ty,w,w,1,0,z=z)
                    engine.DrawImage(data.images[b[0]], x-tx,y-ty,w,w,1,0,z=z)
            for bx in range(int(sr/w)+1):
                tx = ((bx+1)*w)
                engine.DrawImage(data.images[b[0]], x+tx,y,w,w,1,0,z=z)
                engine.DrawImage(data.images[b[0]], x-tx,y,w,w,1,0,z=z)

            for by in range(int(sr/h)+1):
                ty = ((by+1)*h)
                engine.DrawImage(data.images[b[0]], x,y+ty,w,w,1,0,z=z)
                engine.DrawImage(data.images[b[0]], x,y-ty,w,w,1,0,z=z)
                

